Filter table rows
curl --request POST \
--url https://connie.ai/api/tables/{id}/filter \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"filters": [
{
"property_id": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
],
"filter_operator": "AND",
"sorts": [
{
"property_id": "<string>"
}
],
"limit": 100,
"offset": 0,
"search": "<string>"
}
'import requests
url = "https://connie.ai/api/tables/{id}/filter"
payload = {
"filters": [
{
"property_id": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
],
"filter_operator": "AND",
"sorts": [{ "property_id": "<string>" }],
"limit": 100,
"offset": 0,
"search": "<string>"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{property_id: '<string>', operator: '<string>', value: '<unknown>'}],
filter_operator: 'AND',
sorts: [{property_id: '<string>'}],
limit: 100,
offset: 0,
search: '<string>'
})
};
fetch('https://connie.ai/api/tables/{id}/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_id": "<string>",
"properties": {},
"icon": "<string>",
"cover_image": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
}Table Items
Filter table rows
Filters and sorts table rows. Supports up to 10 filter conditions with AND/OR logic. Max 60s execution time.
POST
/
tables
/
{id}
/
filter
Filter table rows
Authorizations
Path Parameters
Body
application/json
Maximum array length:
10Show child attributes
Show child attributes
Available options:
AND, OR Show child attributes
Show child attributes
Required range:
1 <= x <= 10000Required range:
x >= 0Maximum string length:
500